aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/freesmartphone/frameworkd/frameworkd
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/freesmartphone/frameworkd/frameworkd')
-rw-r--r--recipes/freesmartphone/frameworkd/frameworkd40
1 files changed, 40 insertions, 0 deletions
diff --git a/recipes/freesmartphone/frameworkd/frameworkd b/recipes/freesmartphone/frameworkd/frameworkd
new file mode 100644
index 0000000000..08b782e402
--- /dev/null
+++ b/recipes/freesmartphone/frameworkd/frameworkd
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# frameworkd -- This shell script starts and stops the freemsmartphone.org framework daemon.
+#
+# chkconfig: 345 90 20
+# description: frameworkd is the freesmartphone.org framework daemon
+# processname: python
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=frameworkd
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+ start)
+ echo -n "Starting freesmartphone.org framework daemon: "
+ start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/frameworkd
+ if [ $? = 0 ]; then
+ echo "(ok)"
+ else
+ echo "(failed)"
+ fi
+ ;;
+ stop)
+ echo -n "Stopping freesmartphone.org framework daemon: "
+ start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+ rm -f /var/run/${NAME}.pid
+ echo "(done)"
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/odeviced {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0